import { BBLibConfig } from './src/types/bbLibConfig.d.ts';
const bbLibConfig: BBLibConfig = {
	'name': 'BBLib', // Name of the lib
	'version': '0.0.0', // Version of the lib
	'db': { // Settings for the MySQL database, used only for setup
		'host': '', // IP address for the db, usually localhost
		'localhost': '', // IP address for a secondary OPTIONAL local testing DB, usually also is localhost, but depends on your dev environment
		'port': 3306, // Port for the db
		'username': '', // Username for the account that will access your DB, this account will need "DB Manager" admin rights and "REFERENCES" Global Privileges
		'password': '', // Password for the account, user account may need to be authenticated with the "Standard" Authentication Type if this does not work out of the box
		'name': '', // Name of the database Schema to use for the bot
	},
};

export default bbLibConfig;
