// This file will populate the tables with default values
import bbLibConfig from '../bbLibConfig.ts';
import dbClient from './dbClient.ts';

console.log('Attempting to insert default actions into command_cnt');
const actions = [
	'cmd-ban-guild-soft',
	'cmd-ban-guild-hard',
	'cmd-ban-user-soft',
	'cmd-ban-user-hard',
	'cmd-unban-guild',
	'cmd-unban-user',
];
for (const action of actions) {
	await dbClient.execute(`INSERT INTO ${bbLibConfig.db.name}.command_cnt(command) values(?)`, [action]).catch((e) => {
		console.log(`Failed to insert into database`, e);
	});
}
console.log('Insertion done');

await dbClient.close();
console.log('Done!');
